GET /recipes/findByIngredients
Operation ID: searchRecipesByIngredients
Auth: unknown
Description
Ever wondered what recipes you can cook with the ingredients you have in your fridge or pantry? This endpoint lets you find recipes that either maximize the usage of ingredients you have at hand (pre shopping) or minimize the ingredients that you don't currently have (post shopping).
Parameters (5)
(boolean, query, optional, default: False)
Whether to ignore typical pantry items, such as water, salt, flour, etc.
(string, query, optional)
A comma-separated list of ingredients that the recipes should contain.
(boolean, query, optional, default: True)
Whether the recipes should have an open license that allows display with proper attribution.
(integer, query, optional, default: 10)
The maximum number of items to return (between 1 and 100). Defaults to 10.
Constraints: {'minimum': 1, 'maximum': 100}
(number, query, optional)
Whether to maximize used ingredients (1) or minimize missing ingredients (2) first.
No probe data for this endpoint yet.